# $Revision: 1.15 $, $Date: 2011/03/27 21:45:40 $
Summary:	C++ wrappers for libgnomeprint
Summary(pl.UTF-8):	Interfejsy C++ dla libgnomeprint
Name:		libgnomeprintmm
Version:	2.5.1
Release:	4
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgnomeprintmm/2.5/%{name}-%{version}.tar.bz2
# Source0-md5:	cac1729ff8708bec30be4291b73530bc
URL:		http://www.gnome.org/
BuildRequires:	libgnomeprint-devel >= 2.6.1
BuildRequires:	pangomm-devel
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrappers for libgnomeprint.

%description -l pl.UTF-8
Interfejsy C++ dla libgnomeprint.

%package devel
Summary:	Devel files for libgnomeprintmm
Summary(pl.UTF-8):	Pliki nagłówkowe dla libgnomeprintmm
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libgnomeprint-devel >= 2.6.1
Requires:	pangomm-devel

%description devel
Devel files for libgnomeprintmm.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla libgnomeprintmm.

%package static
Summary:	libgnomeprintmm static library
Summary(pl.UTF-8):	Biblioteka statyczna libgnomeprintmm
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libgnomeprintmm static library.

%description static -l pl.UTF-8
Biblioteka statyczna libgnomeprintmm.

%prep
%setup -q

%build
%configure \
	--enable-static=yes

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgnomeprintmm-2.5.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomeprintmm-2.5.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomeprintmm-2.5.so
%{_includedir}/%{name}-2.6
%{_libdir}/%{name}-2.6
%{_pkgconfigdir}/%{name}-2.6.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomeprintmm-2.5.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgnomeprintmm.spec,v $
Revision 1.15  2011/03/27 21:45:40  wiget
- drop libtool file
- rel. 4

Revision 1.14  2008/11/10 22:20:18  megabajt
- release 3

Revision 1.13  2008/11/03 17:57:21  megabajt
- s/gtkmm-pango-devel/pangomm-devel/
- release 2

Revision 1.12  2008/01/26 14:48:35  qboosh
- BR: pkgconfig
- -devel R: libgnomeprint-devel
- added X11 to Groups
- License is LGPL (v2+)

Revision 1.11  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.9  2004/06/08 19:30:52  grzegol
- updated to 2.5.1

Revision 1.8  2004/04/09 15:17:30  grzegol
- rel. 8 to rebuild with gtkmm-2.3.8

Revision 1.7  2004/03/31 18:23:55  grzegol
- rel. 7 to rebuild with glibmm-2.3.7/gtkmm-2.3.6

Revision 1.6  2004/03/15 20:33:34  grzegol
- rel. 6 to rebuild with glibmm-2.3.7/gtkmm-2.3.6

Revision 1.5  2004/03/04 16:47:19  grzegol
- rel. 5 to rebuild with gtkmm-2.3.5

Revision 1.4  2004/02/14 18:18:38  grzegol
- rel. 4 to rebuild with gtkmm-2.3.4

Revision 1.3  2004/02/07 15:38:00  grzegol
- rel. 3 to rebuild with glibmm-2.3.4/gtkmm-2.3.3

Revision 1.2  2004/01/24 15:32:01  grzegol
- rel. 2 to rebuild with glibmm-2.3.3/gtkmm-2.3.2

Revision 1.1  2003/12/29 18:25:39  grzegol
- new
